<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="AndroidLayouts">
    <shared>
      <config />
    </shared>
  </component>
  <component name="AndroidLogFilters">
    <option name="TOOL_WINDOW_CUSTOM_FILTER" value="nico" />
    <option name="TOOL_WINDOW_CONFIGURED_FILTER" value="Firebase" />
  </component>
  <component name="ChangeListManager">
    <list default="true" id="edf0842d-dd24-4b53-9e60-bd86822586ec" name="Default Changelist" comment="" />
    <option name="EXCLUDED_CONVERTED_TO_IGNORED" value="true" />
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="DefaultGradleProjectSettings">
    <option name="isMigrated" value="true" />
  </component>
  <component name="ExecutionTargetManager" SELECTED_TARGET="nico_test1" />
  <component name="ExternalProjectsData">
    <projectState path="$PROJECT_DIR$">
      <ProjectState />
    </projectState>
  </component>
  <component name="ExternalProjectsManager">
    <system id="GRADLE">
      <state>
        <projects_view>
          <tree_state>
            <expand>
              <path>
                <item name="" type="6a2764b6:ExternalProjectsStructure$RootNode" />
                <item name="usb-master" type="f1a62948:ProjectNode" />
              </path>
            </expand>
            <select />
          </tree_state>
        </projects_view>
      </state>
    </system>
  </component>
  <component name="FileEditorManager">
    <leaf SIDE_TABS_SIZE_LIMIT_KEY="375">
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/app/src/main/java/com/sage/usbhelper/lib/USBInterface.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="242">
              <caret line="11" column="8" selection-start-line="11" selection-start-column="8" selection-end-line="11" selection-end-column="8" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="true">
        <entry file="file://$PROJECT_DIR$/app/src/main/java/com/sage/usbhelper/MainActivity.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="352">
              <caret line="113" column="26" lean-forward="true" selection-start-line="113" selection-start-column="26" selection-end-line="113" selection-end-column="26" />
              <folding>
                <element signature="imports" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/app/src/androidTest/java/com/sage/usbhelper/ExampleInstrumentedTest.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="220">
              <caret line="17" column="13" selection-start-line="17" selection-start-column="13" selection-end-line="17" selection-end-column="13" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/app/src/main/java/com/sage/usbhelper/lib/USBHelper.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="10142">
              <caret line="487" column="29" selection-start-line="487" selection-start-column="17" selection-end-line="487" selection-end-column="29" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/gradle.properties">
          <provider selected="true" editor-type-id="text-editor" />
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/settings.gradle">
          <provider selected="true" editor-type-id="text-editor" />
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/local.properties">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="110">
              <caret line="5" column="14" selection-start-line="5" selection-start-column="14" selection-end-line="5" selection-end-column="14" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/gradlew">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="1452">
              <caret line="66" column="53" selection-start-line="66" selection-start-column="35" selection-end-line="66" selection-end-column="53" />
            </state>
          </provider>
        </entry>
      </file>
    </leaf>
  </component>
  <component name="FileTemplateManagerImpl">
    <option name="RECENT_TEMPLATES">
      <list>
        <option value="Class" />
      </list>
    </option>
  </component>
  <component name="FindInProjectRecents">
    <findStrings>
      <find>螺蛳粉</find>
      <find>getSystemService</find>
      <find>tv_content</find>
      <find>mProductId</find>
      <find>connection</find>
      <find>conn.close</find>
      <find>close</find>
      <find>epBulkOut</find>
      <find>btn_openOne</find>
      <find>USBHelper</find>
      <find>sendData</find>
      <find>memset</find>
      <find>verifyRsa</find>
      <find>firomat</find>
      <find>format</find>
      <find>System.out.printf</find>
      <find>scanInit</find>
      <find>char</find>
      <find>system</find>
      <find>byte</find>
      <find>getBytes</find>
      <find>Scan_data_write</find>
      <find>ini</find>
      <find>yuan</find>
      <find>com.sage.usbhelper.lib</find>
      <find>init</find>
      <find>.jar</find>
      <find>nico</find>
    </findStrings>
    <replaceStrings>
      <replace>sage</replace>
    </replaceStrings>
  </component>
  <component name="HierarchyBrowserManager">
    <option name="SCOPE" value="All" />
  </component>
  <component name="IdeDocumentHistory">
    <option name="CHANGED_PATHS">
      <list>
        <option value="$PROJECT_DIR$/app/src/main/res/layout/activity_main.xml" />
        <option value="$PROJECT_DIR$/app/src/main/java/com/yuan/usbhelper/RsaApp.java" />
        <option value="$PROJECT_DIR$/app/src/main/java/com/yuan/usbhelper/MainActivity.java" />
        <option value="$PROJECT_DIR$/app/src/main/java/com/yuan/usbhelper/lib/Link.java" />
        <option value="$PROJECT_DIR$/app/src/main/java/com/yuan/usbhelper/lib/LinkList.java" />
        <option value="$PROJECT_DIR$/app/build/generated/source/buildConfig/debug/com/yuan/usbhelper/BuildConfig.java" />
        <option value="$PROJECT_DIR$/app/src/main/java/com/yuan/usbhelper/lib/RsaApp.java" />
        <option value="$PROJECT_DIR$/app/src/main/java/com/yuan/usbhelper/lib/USBHelper.java" />
        <option value="$PROJECT_DIR$/app/src/main/java/com/yuan/usbhelper/lib/USBInterface.java" />
        <option value="$PROJECT_DIR$/app/src/androidTest/java/com/yuan/usbhelper/ExampleInstrumentedTest.java" />
        <option value="$PROJECT_DIR$/app/src/main/AndroidManifest.xml" />
        <option value="$PROJECT_DIR$/app/src/main/java/com/sage/usbhelper/lib/RsaApp.java" />
        <option value="$PROJECT_DIR$/app/src/main/java/com/sage/usbhelper/lib/USBHelper.java" />
        <option value="$PROJECT_DIR$/app/src/main/java/com/sage/usbhelper/MainActivity.java" />
      </list>
    </option>
  </component>
  <component name="ProjectFrameBounds" extendedState="6">
    <option name="x" value="450" />
    <option name="y" value="122" />
    <option name="width" value="1936" />
    <option name="height" value="1056" />
  </component>
  <component name="ProjectView">
    <navigator currentView="Scope" currentSubView="Scope 'Project Files'; set:Project Files; class com.intellij.psi.search.scope.ProjectFilesScope" proportions="" version="1">
      <foldersAlwaysOnTop value="true" />
    </navigator>
    <panes>
      <pane id="ProjectPane">
        <subPane>
          <expand>
            <path>
              <item name="hid-opos-demo" type="b2602c69:ProjectViewProjectNode" />
              <item name="hid-opos-demo" type="8a07ba80:GradleTreeStructureProvider$GradleModuleDirectoryNode" />
            </path>
            <path>
              <item name="hid-opos-demo" type="b2602c69:ProjectViewProjectNode" />
              <item name="hid-opos-demo" type="8a07ba80:GradleTreeStructureProvider$GradleModuleDirectoryNode" />
              <item name="app" type="8a07ba80:GradleTreeStructureProvider$GradleModuleDirectoryNode" />
            </path>
            <path>
              <item name="hid-opos-demo" type="b2602c69:ProjectViewProjectNode" />
              <item name="hid-opos-demo" type="8a07ba80:GradleTreeStructureProvider$GradleModuleDirectoryNode" />
              <item name="app" type="8a07ba80:GradleTreeStructureProvider$GradleModuleDirectoryNode" />
              <item name="build" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="hid-opos-demo" type="b2602c69:ProjectViewProjectNode" />
              <item name="hid-opos-demo" type="8a07ba80:GradleTreeStructureProvider$GradleModuleDirectoryNode" />
              <item name="app" type="8a07ba80:GradleTreeStructureProvider$GradleModuleDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="hid-opos-demo" type="b2602c69:ProjectViewProjectNode" />
              <item name="External Libraries" type="cb654da1:ExternalLibrariesNode" />
            </path>
          </expand>
          <select />
        </subPane>
      </pane>
      <pane id="Scope">
        <subPane subId="Scope 'Project Files'; set:Project Files; class com.intellij.psi.search.scope.ProjectFilesScope">
          <expand>
            <path>
              <item name="hid-opos-demo" type="3d21c010:ScopeViewTreeModel$ProjectNode" />
              <item name="D:\Android\example\hid-opos-demo" type="442cc68d:ScopeViewTreeModel$RootNode" />
            </path>
            <path>
              <item name="hid-opos-demo" type="3d21c010:ScopeViewTreeModel$ProjectNode" />
              <item name="D:\Android\example\hid-opos-demo" type="442cc68d:ScopeViewTreeModel$RootNode" />
              <item name="app" type="9f88c78c:ScopeViewTreeModel$FileNode" />
            </path>
            <path>
              <item name="hid-opos-demo" type="3d21c010:ScopeViewTreeModel$ProjectNode" />
              <item name="D:\Android\example\hid-opos-demo" type="442cc68d:ScopeViewTreeModel$RootNode" />
              <item name="app" type="9f88c78c:ScopeViewTreeModel$FileNode" />
              <item name="src" type="9f88c78c:ScopeViewTreeModel$FileNode" />
            </path>
            <path>
              <item name="hid-opos-demo" type="3d21c010:ScopeViewTreeModel$ProjectNode" />
              <item name="D:\Android\example\hid-opos-demo" type="442cc68d:ScopeViewTreeModel$RootNode" />
              <item name="app" type="9f88c78c:ScopeViewTreeModel$FileNode" />
              <item name="src" type="9f88c78c:ScopeViewTreeModel$FileNode" />
              <item name="main" type="9f88c78c:ScopeViewTreeModel$FileNode" />
            </path>
            <path>
              <item name="hid-opos-demo" type="3d21c010:ScopeViewTreeModel$ProjectNode" />
              <item name="D:\Android\example\hid-opos-demo" type="442cc68d:ScopeViewTreeModel$RootNode" />
              <item name="app" type="9f88c78c:ScopeViewTreeModel$FileNode" />
              <item name="src" type="9f88c78c:ScopeViewTreeModel$FileNode" />
              <item name="main" type="9f88c78c:ScopeViewTreeModel$FileNode" />
              <item name="java" type="9f88c78c:ScopeViewTreeModel$FileNode" />
            </path>
            <path>
              <item name="hid-opos-demo" type="3d21c010:ScopeViewTreeModel$ProjectNode" />
              <item name="D:\Android\example\hid-opos-demo" type="442cc68d:ScopeViewTreeModel$RootNode" />
              <item name="app" type="9f88c78c:ScopeViewTreeModel$FileNode" />
              <item name="src" type="9f88c78c:ScopeViewTreeModel$FileNode" />
              <item name="main" type="9f88c78c:ScopeViewTreeModel$FileNode" />
              <item name="java" type="9f88c78c:ScopeViewTreeModel$FileNode" />
              <item name="com" type="9f88c78c:ScopeViewTreeModel$FileNode" />
            </path>
            <path>
              <item name="hid-opos-demo" type="3d21c010:ScopeViewTreeModel$ProjectNode" />
              <item name="D:\Android\example\hid-opos-demo" type="442cc68d:ScopeViewTreeModel$RootNode" />
              <item name="app" type="9f88c78c:ScopeViewTreeModel$FileNode" />
              <item name="src" type="9f88c78c:ScopeViewTreeModel$FileNode" />
              <item name="main" type="9f88c78c:ScopeViewTreeModel$FileNode" />
              <item name="java" type="9f88c78c:ScopeViewTreeModel$FileNode" />
              <item name="com" type="9f88c78c:ScopeViewTreeModel$FileNode" />
              <item name="sage" type="9f88c78c:ScopeViewTreeModel$FileNode" />
            </path>
            <path>
              <item name="hid-opos-demo" type="3d21c010:ScopeViewTreeModel$ProjectNode" />
              <item name="D:\Android\example\hid-opos-demo" type="442cc68d:ScopeViewTreeModel$RootNode" />
              <item name="app" type="9f88c78c:ScopeViewTreeModel$FileNode" />
              <item name="src" type="9f88c78c:ScopeViewTreeModel$FileNode" />
              <item name="main" type="9f88c78c:ScopeViewTreeModel$FileNode" />
              <item name="java" type="9f88c78c:ScopeViewTreeModel$FileNode" />
              <item name="com" type="9f88c78c:ScopeViewTreeModel$FileNode" />
              <item name="sage" type="9f88c78c:ScopeViewTreeModel$FileNode" />
              <item name="usbhelper" type="9f88c78c:ScopeViewTreeModel$FileNode" />
            </path>
            <path>
              <item name="hid-opos-demo" type="3d21c010:ScopeViewTreeModel$ProjectNode" />
              <item name="D:\Android\example\hid-opos-demo" type="442cc68d:ScopeViewTreeModel$RootNode" />
              <item name="app" type="9f88c78c:ScopeViewTreeModel$FileNode" />
              <item name="src" type="9f88c78c:ScopeViewTreeModel$FileNode" />
              <item name="main" type="9f88c78c:ScopeViewTreeModel$FileNode" />
              <item name="java" type="9f88c78c:ScopeViewTreeModel$FileNode" />
              <item name="com" type="9f88c78c:ScopeViewTreeModel$FileNode" />
              <item name="sage" type="9f88c78c:ScopeViewTreeModel$FileNode" />
              <item name="usbhelper" type="9f88c78c:ScopeViewTreeModel$FileNode" />
              <item name="lib" type="9f88c78c:ScopeViewTreeModel$FileNode" />
            </path>
          </expand>
          <select />
        </subPane>
      </pane>
      <pane id="PackagesPane">
        <subPane>
          <expand>
            <path>
              <item name="hid-opos-demo" type="58d84e3e:PackageViewProjectNode" />
              <item name="app" type="616d4139:PackageViewModuleNode" />
            </path>
            <path>
              <item name="hid-opos-demo" type="58d84e3e:PackageViewProjectNode" />
              <item name="app" type="616d4139:PackageViewModuleNode" />
              <item name="com.sage.usbhelper" type="1f31426a:PackageElementNode" />
            </path>
          </expand>
          <select />
        </subPane>
      </pane>
      <pane id="AndroidView" />
    </panes>
  </component>
  <component name="PropertiesComponent">
    <property name="DeviceAndSnapshotComboBoxAction.selectedDevice" value="nico_test1" />
    <property name="DeviceAndSnapshotComboBoxAction.selectionTime" value="2019-11-07T03:25:11.672Z" />
    <property name="ToolWindowFind.ShowToolbar" value="false" />
    <property name="android.sdk.path" value="$USER_HOME$/AppData/Local/Android/Sdk" />
    <property name="last_opened_file_path" value="$PROJECT_DIR$" />
    <property name="settings.editor.selected.configurable" value="reference.settingsdialog.IDE.editor.colors.Console Colors" />
  </component>
  <component name="RunDashboard">
    <option name="ruleStates">
      <list>
        <RuleState>
          <option name="name" value="ConfigurationTypeDashboardGroupingRule" />
        </RuleState>
        <RuleState>
          <option name="name" value="StatusDashboardGroupingRule" />
        </RuleState>
      </list>
    </option>
  </component>
  <component name="RunManager">
    <configuration default="true" type="AndroidJUnit" factoryName="Android JUnit">
      <option name="TEST_OBJECT" value="class" />
      <option name="WORKING_DIRECTORY" value="$MODULE_DIR$" />
      <method v="2">
        <option name="Android.Gradle.BeforeRunTask" enabled="true" />
      </method>
    </configuration>
    <configuration name="app" type="AndroidRunConfigurationType" factoryName="Android App" activateToolWindowBeforeRun="false">
      <module name="app" />
      <option name="DEPLOY" value="true" />
      <option name="DEPLOY_APK_FROM_BUNDLE" value="false" />
      <option name="DEPLOY_AS_INSTANT" value="false" />
      <option name="ARTIFACT_NAME" value="" />
      <option name="PM_INSTALL_OPTIONS" value="" />
      <option name="DYNAMIC_FEATURES_DISABLED_LIST" value="" />
      <option name="ACTIVITY_EXTRA_FLAGS" value="" />
      <option name="MODE" value="default_activity" />
      <option name="CLEAR_LOGCAT" value="false" />
      <option name="SHOW_LOGCAT_AUTOMATICALLY" value="false" />
      <option name="SKIP_NOOP_APK_INSTALLATIONS" value="true" />
      <option name="FORCE_STOP_RUNNING_APP" value="true" />
      <option name="TARGET_SELECTION_MODE" value="DEVICE_AND_SNAPSHOT_COMBO_BOX" />
      <option name="USE_LAST_SELECTED_DEVICE" value="false" />
      <option name="PREFERRED_AVD" value="" />
      <option name="SELECTED_CLOUD_MATRIX_CONFIGURATION_ID" value="-1" />
      <option name="SELECTED_CLOUD_MATRIX_PROJECT_ID" value="" />
      <option name="DEBUGGER_TYPE" value="Auto" />
      <Auto>
        <option name="USE_JAVA_AWARE_DEBUGGER" value="false" />
        <option name="SHOW_STATIC_VARS" value="true" />
        <option name="WORKING_DIR" value="" />
        <option name="TARGET_LOGGING_CHANNELS" value="lldb process:gdb-remote packets" />
        <option name="SHOW_OPTIMIZED_WARNING" value="true" />
      </Auto>
      <Hybrid>
        <option name="USE_JAVA_AWARE_DEBUGGER" value="false" />
        <option name="SHOW_STATIC_VARS" value="true" />
        <option name="WORKING_DIR" value="" />
        <option name="TARGET_LOGGING_CHANNELS" value="lldb process:gdb-remote packets" />
        <option name="SHOW_OPTIMIZED_WARNING" value="true" />
      </Hybrid>
      <Java />
      <Native>
        <option name="USE_JAVA_AWARE_DEBUGGER" value="false" />
        <option name="SHOW_STATIC_VARS" value="true" />
        <option name="WORKING_DIR" value="" />
        <option name="TARGET_LOGGING_CHANNELS" value="lldb process:gdb-remote packets" />
        <option name="SHOW_OPTIMIZED_WARNING" value="true" />
      </Native>
      <Profilers>
        <option name="ADVANCED_PROFILING_ENABLED" value="false" />
        <option name="STARTUP_CPU_PROFILING_ENABLED" value="false" />
        <option name="STARTUP_CPU_PROFILING_CONFIGURATION_NAME" value="Sample Java Methods" />
      </Profilers>
      <option name="DEEP_LINK" value="" />
      <option name="ACTIVITY_CLASS" value="" />
      <method v="2">
        <option name="Android.Gradle.BeforeRunTask" enabled="true" />
      </method>
    </configuration>
  </component>
  <component name="SearchEverywhereConfiguration">
    <file-type-list>
      <filtered-out-file-type name="TopHitSEContributor" />
      <filtered-out-file-type name="RecentFilesSEContributor" />
      <filtered-out-file-type name="ClassSearchEverywhereContributor" />
      <filtered-out-file-type name="FileSearchEverywhereContributor" />
      <filtered-out-file-type name="SymbolSearchEverywhereContributor" />
      <filtered-out-file-type name="RunConfigurationsSEContributor" />
      <filtered-out-file-type name="ActionSearchEverywhereContributor" />
      <filtered-out-file-type name="YAMLKeysSearchEverywhereContributor" />
    </file-type-list>
  </component>
  <component name="SvnConfiguration">
    <configuration />
  </component>
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="edf0842d-dd24-4b53-9e60-bd86822586ec" name="Default Changelist" comment="" />
      <created>1571211494914</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1571211494914</updated>
    </task>
    <servers />
  </component>
  <component name="TodoView">
    <todo-panel id="selected-file">
      <is-autoscroll-to-source value="true" />
    </todo-panel>
    <todo-panel id="all">
      <are-packages-shown value="true" />
      <is-autoscroll-to-source value="true" />
    </todo-panel>
  </component>
  <component name="ToolWindowManager">
    <frame x="-8" y="-8" width="1936" height="1056" extended-state="6" />
    <editor active="true" />
    <layout>
      <window_info id="Captures" order="0" side_tool="true" weight="0.25" />
      <window_info active="true" content_ui="combo" id="Project" order="1" visible="true" weight="0.2167382" />
      <window_info id="Structure" order="2" side_tool="true" />
      <window_info id="Favorites" order="3" side_tool="true" />
      <window_info id="Build Variants" order="4" side_tool="true" />
      <window_info id="Image Layers" order="5" />
      <window_info id="Designer" order="6" />
      <window_info id="Resources Explorer" order="7" weight="0.3299356" />
      <window_info id="Capture Tool" order="8" />
      <window_info anchor="bottom" id="Run" order="0" sideWeight="0.708691" weight="0.36582568" />
      <window_info anchor="bottom" id="Logcat" order="1" sideWeight="0.8556867" weight="0.3864679" />
      <window_info anchor="bottom" id="Debug" order="2" sideWeight="0.49356222" weight="0.5194954" />
      <window_info anchor="bottom" id="TODO" order="3" sideWeight="0.49785408" weight="0.32912844" />
      <window_info anchor="bottom" id="Terminal" order="4" sideWeight="0.4946352" weight="0.32912844" />
      <window_info anchor="bottom" id="Event Log" order="5" sideWeight="0.4222103" side_tool="true" weight="0.3440367" />
      <window_info anchor="bottom" id="Version Control" order="6" />
      <window_info anchor="bottom" id="Build" order="7" sideWeight="0.5777897" visible="true" weight="0.24770643" />
      <window_info anchor="bottom" id="Android Profiler" order="8" show_stripe_button="false" sideWeight="0.49892703" weight="0.32912844" />
      <window_info anchor="bottom" id="Find" order="9" sideWeight="0.49892703" weight="0.32912844" />
      <window_info anchor="right" id="Device File Explorer" order="0" sideWeight="0.50070524" side_tool="true" weight="0.3299356" />
      <window_info anchor="right" id="Capture Analysis" order="1" />
      <window_info anchor="right" id="Gradle" order="2" weight="0.3299356" />
      <window_info anchor="right" id="Preview" order="3" sideWeight="0.4992948" weight="0.32939914" />
      <window_info anchor="right" id="Palette&#9;" order="4" />
      <window_info anchor="right" id="Hierarchy" order="5" visible="true" weight="0.16094421" />
      <window_info anchor="right" id="Assistant" order="6" weight="0.3299356" />
    </layout>
    <layout-to-restore>
      <window_info id="Captures" order="0" side_tool="true" weight="0.25" />
      <window_info active="true" content_ui="combo" id="Project" order="1" visible="true" weight="0.2167382" />
      <window_info id="Structure" order="2" side_tool="true" />
      <window_info id="Favorites" order="3" side_tool="true" />
      <window_info id="Build Variants" order="4" side_tool="true" />
      <window_info id="Image Layers" order="5" />
      <window_info id="Designer" order="6" />
      <window_info id="Resources Explorer" order="7" />
      <window_info id="Capture Tool" order="8" />
      <window_info anchor="bottom" id="Run" order="0" sideWeight="0.708691" weight="0.23165138" />
      <window_info anchor="bottom" id="Logcat" order="1" sideWeight="0.8556867" weight="0.26949543" />
      <window_info anchor="bottom" id="Debug" order="2" sideWeight="0.49356222" weight="0.5194954" />
      <window_info anchor="bottom" id="TODO" order="3" sideWeight="0.49785408" weight="0.32912844" />
      <window_info anchor="bottom" id="Terminal" order="4" sideWeight="0.4946352" weight="0.32912844" />
      <window_info anchor="bottom" id="Event Log" order="5" sideWeight="0.4222103" side_tool="true" visible="true" weight="0.3440367" />
      <window_info anchor="bottom" id="Version Control" order="6" />
      <window_info anchor="bottom" id="Build" order="7" sideWeight="0.5777897" visible="true" weight="0.3440367" />
      <window_info anchor="bottom" id="Android Profiler" order="8" show_stripe_button="false" sideWeight="0.49892703" weight="0.32912844" />
      <window_info anchor="bottom" id="Find" order="9" sideWeight="0.49892703" weight="0.32912844" />
      <window_info anchor="right" id="Device File Explorer" order="0" sideWeight="0.50070524" side_tool="true" weight="0.3299356" />
      <window_info anchor="right" id="Capture Analysis" order="1" />
      <window_info anchor="right" id="Gradle" order="2" weight="0.3299356" />
      <window_info anchor="right" id="Preview" order="3" sideWeight="0.4992948" weight="0.32939914" />
      <window_info anchor="right" id="Palette&#9;" order="4" />
      <window_info anchor="right" id="Hierarchy" order="5" visible="true" weight="0.16094421" />
    </layout-to-restore>
  </component>
  <component name="editorHistoryManager">
    <entry file="file://$PROJECT_DIR$/usb-master.iml" />
    <entry file="file://$PROJECT_DIR$/.idea/gradle.xml">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/.idea/codeStyles/Project.xml">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="jar://$USER_HOME$/AppData/Local/Android/Sdk/platforms/android-27/android.jar!/android/hardware/usb/UsbManager.class">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="110">
          <caret line="6" column="23" selection-start-line="6" selection-start-column="13" selection-end-line="6" selection-end-column="23" />
        </state>
      </provider>
    </entry>
    <entry file="file://$USER_HOME$/AppData/Local/Android/Sdk/sources/android-27/android/content/Context.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="217">
          <caret line="3127" column="37" selection-start-line="3127" selection-start-column="37" selection-end-line="3127" selection-end-column="37" />
        </state>
      </provider>
    </entry>
    <entry file="file://$USER_HOME$/AppData/Local/Android/Sdk/sources/android-27/android/widget/Button.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-1161">
          <caret line="84" column="13" selection-start-line="84" selection-start-column="13" selection-end-line="84" selection-end-column="13" />
        </state>
      </provider>
    </entry>
    <entry file="file://$USER_HOME$/AppData/Local/Android/Sdk/sources/android-27/android/hardware/usb/UsbDevice.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="224">
          <caret line="323" column="32" selection-start-line="323" selection-start-column="32" selection-end-line="323" selection-end-column="32" />
          <folding>
            <element signature="e#5041#5042#0" expanded="true" />
            <element signature="e#5073#5074#0" expanded="true" />
            <element signature="e#5210#5211#0" expanded="true" />
            <element signature="e#5243#5244#0" expanded="true" />
            <element signature="e#7573#7574#0" expanded="true" />
            <element signature="e#7621#7622#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/src/main/res/mipmap-anydpi-v26/ic_launcher_round.xml">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="jar://$USER_HOME$/.gradle/caches/modules-2/files-2.1/com.android.support/appcompat-v7/27.1.1/21d073509c5f8d25a1bf274067fa729a1fba8d75/appcompat-v7-27.1.1-sources.jar!/android/support/v7/app/AppCompatActivity.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-462">
          <caret line="47" column="2" lean-forward="true" selection-start-line="47" selection-start-column="2" selection-end-line="47" selection-end-column="2" />
          <folding>
            <element signature="e#6925#6926#0" expanded="true" />
            <element signature="e#6978#6979#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$USER_HOME$/AppData/Local/Android/Sdk/sources/android-27/android/hardware/usb/UsbEndpoint.java">
      <provider selected="true" editor-type-id="text-editor">
        <state>
          <caret line="31" column="13" selection-start-line="31" selection-start-column="13" selection-end-line="31" selection-end-column="13" />
          <folding>
            <element signature="e#2109#2110#0" expanded="true" />
            <element signature="e#2140#2141#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$USER_HOME$/AppData/Local/Android/Sdk/sources/android-27/android/hardware/SensorEventListener2.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="175">
          <caret line="21" column="17" selection-start-line="21" selection-start-column="17" selection-end-line="21" selection-end-column="17" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/src/main/java/com/yuan/usbhelper/RsaAppJni.java" />
    <entry file="file://$PROJECT_DIR$/app/src/main/java/com/yuan/usbhelper/RsaApp.java" />
    <entry file="file://$PROJECT_DIR$/app/src/main/java/com/yuan/usbhelper/lib/Link.java" />
    <entry file="file://$PROJECT_DIR$/app/src/main/java/com/yuan/usbhelper/lib/LinkList.java" />
    <entry file="file://$USER_HOME$/AppData/Local/Android/Sdk/sources/android-27/java/lang/Exception.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="206">
          <caret line="44" column="13" selection-start-line="44" selection-start-column="13" selection-end-line="44" selection-end-column="13" />
        </state>
      </provider>
    </entry>
    <entry file="file://$USER_HOME$/AppData/Local/Android/Sdk/sources/android-27/java/lang/Integer.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="13442">
          <caret line="643" column="5" selection-start-line="643" selection-start-column="5" selection-end-line="643" selection-end-column="5" />
        </state>
      </provider>
    </entry>
    <entry file="file://$USER_HOME$/AppData/Local/Android/Sdk/sources/android-27/java/lang/String.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="41822">
          <caret line="1965" column="18" selection-start-line="1965" selection-start-column="18" selection-end-line="1965" selection-end-column="18" />
          <folding>
            <element signature="e#36626#36627#0" expanded="true" />
            <element signature="e#36683#36684#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$USER_HOME$/AppData/Local/Android/Sdk/sources/android-27/android/hardware/usb/UsbDeviceConnection.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="4268">
          <caret line="231" column="22" selection-start-line="231" selection-start-column="22" selection-end-line="231" selection-end-column="22" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/src/main/java/com/yuan/usbhelper/lib/RsaApp.java" />
    <entry file="file://$PROJECT_DIR$/app/src/main/java/com/yuan/usbhelper/lib/USBHelper.java" />
    <entry file="file://$PROJECT_DIR$/app/src/main/java/com/yuan/usbhelper/lib/USBInterface.java" />
    <entry file="file://$PROJECT_DIR$/app/src/main/java/com/yuan/usbhelper/MainActivity.java" />
    <entry file="file://$PROJECT_DIR$/app/src/androidTest/java/com/yuan/usbhelper/ExampleInstrumentedTest.java" />
    <entry file="file://$PROJECT_DIR$/app/build/generated/source/buildConfig/debug/com/yuan/usbhelper/BuildConfig.java" />
    <entry file="file://$PROJECT_DIR$/app/src/main/AndroidManifest.xml">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="132">
          <caret line="6" column="42" selection-start-line="6" selection-start-column="42" selection-end-line="6" selection-end-column="42" />
        </state>
      </provider>
      <provider editor-type-id="android-manifest" />
    </entry>
    <entry file="file://$USER_HOME$/AppData/Local/Android/Sdk/sources/android-27/android/widget/TextView.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="2816">
          <caret line="303" column="13" selection-start-line="303" selection-start-column="13" selection-end-line="303" selection-end-column="13" />
        </state>
      </provider>
    </entry>
    <entry file="file://$USER_HOME$/AppData/Local/Android/Sdk/sources/android-27/android/view/View.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="464002">
          <caret line="21562" column="62" selection-start-line="21562" selection-start-column="60" selection-end-line="21562" selection-end-column="62" />
        </state>
      </provider>
    </entry>
    <entry file="file://$USER_HOME$/AppData/Local/Android/Sdk/sources/android-27/android/util/Log.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="2156">
          <caret line="120" column="22" selection-start-line="120" selection-start-column="15" selection-end-line="120" selection-end-column="22" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/build/generated/source/buildConfig/debug/com/sage/usbhelper/BuildConfig.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="66">
          <caret line="5" column="19" selection-start-line="5" selection-start-column="19" selection-end-line="5" selection-end-column="19" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/src/main/res/drawable/ic_launcher_background.xml">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-726" />
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/src/main/res/layout/activity_main.xml">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-726">
          <caret line="9" column="11" selection-start-line="9" selection-start-column="11" selection-end-line="9" selection-end-column="11" />
        </state>
      </provider>
      <provider editor-type-id="android-designer2" />
    </entry>
    <entry file="file://$PROJECT_DIR$/app/src/main/res/mipmap-hdpi/ic_launcher_round.png">
      <provider selected="true" editor-type-id="images" />
    </entry>
    <entry file="file://$PROJECT_DIR$/app/src/main/res/mipmap-anydpi-v26/ic_launcher.xml">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/build.gradle">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/app/build.gradle">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="88">
          <caret line="4" column="19" selection-start-line="4" selection-start-column="19" selection-end-line="4" selection-end-column="19" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/gradle/wrapper/gradle-wrapper.properties">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://E:/数据恢复/project/project/智能扫描枪/客户/晟元/android/com/niutu/libbarcode2d/BuildConfig.class">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://E:/数据恢复/project/project/智能扫描枪/客户/晟元/android/com/niutu/libbarcode2d/Barcode2D.class">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="99">
          <caret line="20" column="46" selection-start-line="20" selection-start-column="41" selection-end-line="20" selection-end-column="46" />
          <folding>
            <element signature="e#0#5619#0" expanded="true" />
            <element signature="imports" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/src/main/java/com/sage/usbhelper/lib/RsaApp.java" />
    <entry file="file://$USER_HOME$/AppData/Local/Android/Sdk/sources/android-27/android/hardware/usb/UsbManager.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="2398">
          <caret line="544" column="36" selection-start-line="544" selection-start-column="19" selection-end-line="544" selection-end-column="36" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/src/main/java/com/sage/usbhelper/lib/USBInterface.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="242">
          <caret line="11" column="8" selection-start-line="11" selection-start-column="8" selection-end-line="11" selection-end-column="8" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/src/androidTest/java/com/sage/usbhelper/ExampleInstrumentedTest.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="220">
          <caret line="17" column="13" selection-start-line="17" selection-start-column="13" selection-end-line="17" selection-end-column="13" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/src/main/java/com/sage/usbhelper/lib/USBHelper.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="10142">
          <caret line="487" column="29" selection-start-line="487" selection-start-column="17" selection-end-line="487" selection-end-column="29" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/gradle.properties">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/settings.gradle">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/local.properties">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="110">
          <caret line="5" column="14" selection-start-line="5" selection-start-column="14" selection-end-line="5" selection-end-column="14" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/gradlew">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="1452">
          <caret line="66" column="53" selection-start-line="66" selection-start-column="35" selection-end-line="66" selection-end-column="53" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/src/main/java/com/sage/usbhelper/MainActivity.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="352">
          <caret line="113" column="26" lean-forward="true" selection-start-line="113" selection-start-column="26" selection-end-line="113" selection-end-column="26" />
          <folding>
            <element signature="imports" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
  </component>
</project>